# CryptoApis::TransactionRequestMined

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **api_version** | **String** | Specifies the version of the API that incorporates this endpoint. |  |
| **reference_id** | **String** | Represents a unique identifier that serves as reference to the specific request which prompts a callback, e.g. Blockchain Events Subscription, Blockchain Automation, etc. |  |
| **idempotency_key** | **String** | Specifies a unique ID generated by the system and attached to each callback. It is used by the server to recognize consecutive requests with the same data with the purpose not to perform the same operation twice. |  |
| **data** | [**TransactionRequestMinedData**](TransactionRequestMinedData.md) |  |  |

## Example

```ruby
require 'crypto_apis'

instance = CryptoApis::TransactionRequestMined.new(
  api_version: 2.0,
  reference_id: 6038d09050653d1f0e40584c,
  idempotency_key: e55bf7a4a7188855f1c27541a6c387d04cc3b22ee34d1304b0e6ecad61c9906c,
  data: null
)
```

